package com.caimei.mapper;

import com.caimei.model.po.CmBrandDoctorPo;
import com.caimei.model.vo.DoctorEquipmentVo;
import com.caimei.model.vo.DoctorFormVo;
import com.caimei.model.vo.DoctorListVo;
import com.caimei.model.vo.WxDoctorListVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author Aslee
 * @date : 2022/1/7
 */
@Mapper
public interface DoctorMapper {

    List<DoctorListVo> getDoctorList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId, @Param("doctorName") String doctorName, @Param("certificateNo") String certificateNo, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus);

    void updateDoctorStatus(@Param("doctorId") Integer doctorId, @Param("status") Integer status);

    void deleteDoctorByDoctorId(Integer doctorId);

    void insertDoctor(CmBrandDoctorPo doctor);

    void updateDoctorByDoctorId(CmBrandDoctorPo doctor);

    void updateDoctorAuditStatus(@Param("doctorId") Integer doctorId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    CmBrandDoctorPo getDoctorById(Integer doctorId);

    Integer getDoctorIdByCertificateNo(@Param("certificateNo") String certificateNo, @Param("authUserId") Integer authUserId);

    void deleteBanner(Integer doctorId);

    void insertBanner(@Param("doctorId") Integer doctorId, @Param("banner") String banner);

    List<String> getBannerList(Integer doctorId);

    void deleteEquipment(Integer doctorId);

    void insertEquipment(@Param("doctorId") Integer doctorId, @Param("equipmentName") String equipmentName, @Param("brand") String brand, @Param("image") String image);

    List<DoctorEquipmentVo> getEquipmentList(Integer doctorId);

    List<WxDoctorListVo> getWxDoctorList(@Param("appId") String appId,@Param("doctorName") String doctorName);

    DoctorFormVo getDoctorDetailsById(Integer doctorId);
}
